> ## Documentation Index
> Fetch the complete documentation index at: https://www.klavis.ai/docs/llms.txt
> Use this file to discover all available pages before exploring further.

# Export woocommerce sandbox data

> Export all data from the sandbox in the same format used for initialization.



## OpenAPI

````yaml get /sandbox/woocommerce/{sandbox_id}/dump
openapi: 3.1.0
info:
  title: Klavis AI (https://www.klavis.ai)
  description: Klavis AI - Open Source MCP Integrations for AI Applications
  version: 0.1.0
servers:
  - url: https://api.klavis.ai
    description: US Production server
  - url: https://api.eu.klavis.ai
    description: EU Production server
security: []
paths:
  /sandbox/woocommerce/{sandbox_id}/dump:
    get:
      tags:
        - sandbox
      summary: Export woocommerce sandbox data
      description: >-
        Export all data from the sandbox in the same format used for
        initialization.
      operationId: dump_sandbox_sandbox_woocommerce__sandbox_id__dump_get
      parameters:
        - name: sandbox_id
          in: path
          required: true
          schema:
            type: string
            description: The unique sandbox identifier
            title: Sandbox Id
          description: The unique sandbox identifier
      responses:
        '200':
          description: Successful Response
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/DumpSandboxResponse_WooCommerceData_'
        '422':
          description: Validation Error
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/HTTPValidationError'
      security:
        - HTTPBearer: []
components:
  schemas:
    DumpSandboxResponse_WooCommerceData_:
      properties:
        sandbox_id:
          type: string
          title: Sandbox Id
          description: Sandbox identifier
        server_name:
          $ref: '#/components/schemas/SandboxMCPServer'
          description: MCP server type
        dumped_at:
          type: string
          format: date-time
          title: Dumped At
          description: Timestamp of dump
        data:
          $ref: '#/components/schemas/WooCommerceData-Output'
          description: Dumped sandbox data in server-specific format
      type: object
      required:
        - sandbox_id
        - server_name
        - dumped_at
        - data
      title: DumpSandboxResponse[WooCommerceData]
    HTTPValidationError:
      properties:
        detail:
          items:
            $ref: '#/components/schemas/ValidationError'
          type: array
          title: Detail
      type: object
      title: HTTPValidationError
    SandboxMCPServer:
      type: string
      enum:
        - jira
        - github
        - salesforce
        - hubspot
        - notion
        - airtable
        - linear
        - asana
        - google_sheets
        - google_drive
        - google_docs
        - gmail
        - google_calendar
        - google_forms
        - clickup
        - close
        - monday
        - motion
        - onedrive
        - microsoft_teams
        - outlook_mail
        - cal.com
        - quickbooks
        - moneybird
        - dropbox
        - shopify
        - woocommerce
        - outlook_calendar
        - resend
        - wordpress
        - mem0
        - supabase
        - slack
        - confluence
        - discord
        - snowflake
        - postgres
        - mongodb
        - youtube
        - googleworkspaceatlas
        - huggingface
        - mock_notion
        - arxiv_latex
        - calculator
        - clinicaltrialsgov
        - fetch
        - met_museum
        - open_library
        - osm
        - pubmed
        - us_weather
        - duckduckgo
        - whois
        - wikipedia
        - scholarly
        - howtocook
        - yahoo_finance
        - '12306'
        - youtube_transcript
        - weather
        - twelvedata
        - national_parks
        - lara_translate
        - e2b
        - context7
        - alchemy
        - weights_and_biases
        - oxylabs
        - google_maps
        - brave_search
        - exa
        - serper
      title: SandboxMCPServer
      description: Supported MCP servers for sandboxing
    WooCommerceData-Output:
      properties:
        products:
          anyOf:
            - items:
                $ref: '#/components/schemas/WooCommerceProduct'
              type: array
            - type: 'null'
          title: Products
          description: List of products to create
        customers:
          anyOf:
            - items:
                $ref: '#/components/schemas/WooCommerceCustomer'
              type: array
            - type: 'null'
          title: Customers
          description: List of customers to create
        orders:
          anyOf:
            - items:
                $ref: '#/components/schemas/WooCommerceOrder'
              type: array
            - type: 'null'
          title: Orders
          description: List of orders to create
      type: object
      title: WooCommerceData
      description: >-
        Complete WooCommerce sandbox data structure.


        Products and customers are created first, then orders are created with
        proper references.
    ValidationError:
      properties:
        loc:
          items:
            anyOf:
              - type: string
              - type: integer
          type: array
          title: Location
        msg:
          type: string
          title: Message
        type:
          type: string
          title: Error Type
        input:
          title: Input
        ctx:
          type: object
          title: Context
      type: object
      required:
        - loc
        - msg
        - type
      title: ValidationError
    WooCommerceProduct:
      properties:
        name:
          type: string
          minLength: 1
          title: Name
          description: Product name
        description:
          anyOf:
            - type: string
            - type: 'null'
          title: Description
          description: Product description
        short_description:
          anyOf:
            - type: string
            - type: 'null'
          title: Short Description
          description: Product short description
        type:
          type: string
          title: Type
          description: Product type
          default: simple
        regular_price:
          anyOf:
            - type: string
            - type: 'null'
          title: Regular Price
          description: Product regular price
        sku:
          anyOf:
            - type: string
            - type: 'null'
          title: Sku
          description: Stock Keeping Unit identifier
        stock_quantity:
          anyOf:
            - type: integer
            - type: 'null'
          title: Stock Quantity
          description: Available inventory count
        status:
          type: string
          title: Status
          description: Product status
          default: publish
        manage_stock:
          type: boolean
          title: Manage Stock
          description: Whether to manage stock
          default: true
        categories:
          anyOf:
            - items:
                additionalProperties: true
                type: object
              type: array
            - type: 'null'
          title: Categories
          description: List of categories
        images:
          anyOf:
            - items:
                additionalProperties:
                  type: string
                type: object
              type: array
            - type: 'null'
          title: Images
          description: List of images
      type: object
      required:
        - name
      title: WooCommerceProduct
      description: |-
        Simplified WooCommerce product data.

        Attributes:
            name: Product name
            description: Product description
            short_description: Product short description
            type: Product type (simple, variable, etc.)
            regular_price: Product price as string
            sku: Stock Keeping Unit identifier
            stock_quantity: Available inventory count
            status: Product status (publish, draft, private)
            manage_stock: Whether to manage stock
            categories: List of category names
            images: List of image URLs
    WooCommerceCustomer:
      properties:
        email:
          type: string
          format: email
          title: Email
          description: Customer email address
        first_name:
          anyOf:
            - type: string
            - type: 'null'
          title: First Name
          description: First name
        last_name:
          anyOf:
            - type: string
            - type: 'null'
          title: Last Name
          description: Last name
        username:
          anyOf:
            - type: string
            - type: 'null'
          title: Username
          description: Username
        billing:
          anyOf:
            - additionalProperties: true
              type: object
            - type: 'null'
          title: Billing
          description: Billing address
        shipping:
          anyOf:
            - additionalProperties: true
              type: object
            - type: 'null'
          title: Shipping
          description: Shipping address
      type: object
      required:
        - email
      title: WooCommerceCustomer
      description: |-
        Simplified WooCommerce customer data.

        Attributes:
            email: Customer email address
            first_name: First name
            last_name: Last name
            username: Username
            billing: Billing address details
            shipping: Shipping address details
    WooCommerceOrder:
      properties:
        customer_index:
          type: integer
          minimum: 0
          title: Customer Index
          description: Index of the customer in the customers list (0-based)
        line_items:
          items:
            $ref: '#/components/schemas/WooCommerceOrderLineItem'
          type: array
          minItems: 1
          title: Line Items
          description: List of line items
        status:
          type: string
          title: Status
          description: Order status
          default: pending
        payment_method:
          anyOf:
            - type: string
            - type: 'null'
          title: Payment Method
          description: Payment method ID
          default: bacs
        payment_method_title:
          anyOf:
            - type: string
            - type: 'null'
          title: Payment Method Title
          description: Payment method title
          default: Direct Bank Transfer
      type: object
      required:
        - customer_index
        - line_items
      title: WooCommerceOrder
      description: >-
        Simplified WooCommerce order data.


        Orders reference customers and products by their index in the respective
        lists.


        Attributes:
            customer_index: Index of the customer in the customers list (0-based)
            line_items: List of line items
            status: Order status (pending, processing, completed, etc.)
            payment_method: Payment method ID
            payment_method_title: Payment method title
    WooCommerceOrderLineItem:
      properties:
        product_index:
          type: integer
          minimum: 0
          title: Product Index
          description: Index of the product in the products list (0-based)
        quantity:
          type: integer
          minimum: 1
          title: Quantity
          description: Quantity of the product to order
          default: 1
      type: object
      required:
        - product_index
      title: WooCommerceOrderLineItem
      description: |-
        Line item for a WooCommerce order.

        Attributes:
            product_index: Index of the product in the products list (0-based)
            quantity: Quantity of the product to order
  securitySchemes:
    HTTPBearer:
      type: http
      description: Your Klavis AI API key.
      scheme: bearer
      x-fern-bearer:
        name: api_key

````